Name:           bear
Version:        2.4.4
Release:        1%{?dist}
Summary:        Tool that generates a compilation database for clang tooling

License:        GPLv3+
URL:            https://github.com/rizsotto/%{name}
Source:         %{URL}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  clang
BuildRequires:  python%{python3_pkgversion}-devel
# python3-lit is only needed for the tests which we only run on Fedora
%{?fedora:BuildRequires: python3-lit}

%description
Build ear produces compilation database in JSON format. This database describes
how single compilation unit should be processed and can be used by Clang
tooling.

%prep
%autosetup -n Bear-%{version}


%build
%cmake .
%cmake_build

%install
%cmake_install

# Fix shebang line
for f in %{buildroot}/%{_bindir}/* ; do
    sed -i.orig "s:^#\!/usr/bin/env\s\+python\s\?$:#!%{__python3}:" $f
    touch -r $f.orig $f
    rm $f.orig
done

# remove twice installed license
rm %{buildroot}/%{_datadir}/doc/bear/COPYING

# Tests fail on EPEL, only run them on Fedora
%if 0%{?fedora}
%check
make check -C %{_vpath_builddir}
%endif


%files
%{_bindir}/bear
%{_datadir}/bash-completion/completions/bear
%{_mandir}/man1/bear.1*

%{_libdir}/bear/

# rpmbuild on RHEL won't automatically pick up ChangeLog.md & README.md
%if 0%{?rhel}
%{_datadir}/doc/bear
%endif

%license COPYING
%doc ChangeLog.md README.md

%changelog
* Thu Mar 06 2025 Kaiqiang Wang <wangkaiqiang@ieisyste.com> - 2.4.4-1
- New upstream release 2.4.4 
